Name:           libhid
Version:        0.2.16
Release:        1%{?dist}
Summary:        A user-space USB HID access library

Group:          System Environment/Libraries
License:        GPLv2
URL:            http://libhid.alioth.debian.org/ 
Source0:        http://alioth.debian.org/frs/download.php/1958/libhid-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libusb-devel, doxygen 
BuildRequires:  chrpath 

%description
libhid provides a generic and flexible way to access and interact with USB HID
devices, much like libusb does for plain USB devices. It is based on libusb
0.1, thus it requires no special HID support in the kernel. Furthermore, it
aims to support all operating system supported by libusb: Linux, BSD, OS X,
and Windows (via libusb-win32).

libhid should be easy to use if you have some knowledge of C, and are willing
to read someone else's code. Some API documentation has been generated using
Doxygen, but it is far from complete (if you want to help, please contact
us!).

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig, libusb-devel

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q


%build
# FIXME at some point, if requested, we should build the swig
%configure --disable-static --disable-swig
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
find %{buildroot} -name '*.la' -exec rm -f {} ';'

chrpath --delete %{buildroot}/%{_bindir}/*

%clean
rm -rf %{buildroot}


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc COPYING AUTHORS ChangeLog README* TODO
%{_libdir}/*.so.*
%{_bindir}/*
%{_mandir}/man1/*

%files devel
%defattr(-,root,root,-)
%doc COPYING README.licence
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*


%changelog
* Sun Feb 22 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.2.16-1
- initial packaging
